$packageName = 'Application Initialization 1.0 for IIS 7.5'
$installDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)" 
$installPathx86 = "http://go.microsoft.com/fwlink/?LinkID=247816"
$installPathx64 = "http://go.microsoft.com/fwlink/?LinkID=247817"

$silentInstallArgs = "/qn /norestart /l $($env:temp)\iisapplicationinitialization.log"

$there32bit = Test-Path Registry::HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Windows\CurrentVersion\Uninstall\`{02DA0248-DB55-44A7-8DC6-DBA573AEEA94`}
$there64bit = Test-Path Registry::HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\`{02DA0248-DB55-44A7-8DC6-DBA573AEEA94`}

if(-not($there32bit) -and -not($there64bit))
{
	Install-ChocolateyPackage "$packageName" 'msi' $silentInstallArgs "$installPathx86" "$installPathx64" -ValidExitCodes @(0,3010)
}
else
{
	Write "Application Initialization 1.0 for IIS 7.5 is already installed!"
}